--AH:ScriptId=6e1d7cad-bdd3-492d-96e4-c5f702890aca;390
SET NOCOUNT ON
IF NOT EXISTS(SELECT * FROM [EventOccurences]) BEGIN

	DELETE [RoleTasks]
	
	UPDATE [Roles] SET [Role_Name] = 'Administrator' WHERE [Role_Id] = 1
	UPDATE [Roles] SET [Role_Name] = 'QA Analyst' WHERE [Role_Id] = 3
	UPDATE [Roles] SET [Role_Name] = 'View Only' WHERE [Role_Id] = 4
	
	-- Administrator
	INSERT INTO [RoleTasks] ([Role_Id], [Task_Id])
	SELECT 1, [Task_Id] FROM [Tasks]
	
	-- Developer
	INSERT INTO [RoleTasks] ([Role_Id], [Task_Id])
	SELECT 2, [Task_Id] FROM [Tasks] WHERE [Task_Name] IN
	('Applications_CreateDeployable', 'Applications_EditApplication', 'Applications_EditDeployable', 'Applications_ViewOverview', 'Builds_CreateBuild', 'Builds_EditBuild', 'Builds_ExecuteBuild', 'Builds_ManageBuildSchedules', 'Builds_PromoteBuild', 'Builds_RejectBuild', 'Builds_ViewArtifact', 'Builds_ViewBuildHistory', 'Builds_ViewBuildOverview', 'Builds_ViewDebugLogs', 'Builds_ViewExecutionDetails', 'Builds_ViewPromotionDetails', 'ChangeControls_ManageChangeControls', 'ChangeControls_PerformChangeControls', 'ChangeControls_ViewChangeControls', 'ConfigurationFiles_EditConfigurationFile', 'ConfigurationFiles_ManageConfigurationFiles', 'ConfigurationFiles_ViewConfigurationFile', 'DatabaseChangeScripts_ManageChangeScripts', 'DatabaseChangeScripts_ManageDatabaseProviders', 'DatabaseChangeScripts_ViewChangeScript', 'DatabaseChangeScripts_ViewDatabaseProvider', 'Environments_ViewEnvironment', 'Environments_ViewServer', 'Events_ManageOwnNotifiers', 'Plans_ManagePlans', 'Plans_ViewPlan', 'Releases_AddNote', 'Releases_EditNote', 'Releases_ManageReleases', 'Releases_ViewReleaseOverview', 'Variables_CreateOrUpdateVariables')
	
	-- QA Analyst
	INSERT INTO [RoleTasks] ([Role_Id], [Task_Id])
	SELECT 3, [Task_Id] FROM [Tasks] WHERE [Task_Name] IN
	('Applications_ViewOverview', 'Builds_ExecuteBuild', 'Builds_PromoteBuild', 'Builds_RejectBuild', 'Builds_ViewArtifact', 'Builds_ViewBuildHistory', 'Builds_ViewBuildOverview', 'Builds_ViewDebugLogs', 'Builds_ViewExecutionDetails', 'Builds_ViewPromotionDetails', 'ChangeControls_PerformChangeControls', 'ChangeControls_ViewChangeControls', 'ConfigurationFiles_ViewConfigurationFile', 'DatabaseChangeScripts_ViewChangeScript', 'DatabaseChangeScripts_ViewDatabaseProvider', 'Environments_ViewEnvironment', 'Environments_ViewServer', 'Events_ManageOwnNotifiers', 'Plans_ViewPlan', 'Releases_AddNote', 'Releases_EditNote', 'Releases_ViewReleaseOverview')
	
	-- View Only
	INSERT INTO [RoleTasks] ([Role_Id], [Task_Id])
	SELECT 4, [Task_Id] FROM [Tasks] WHERE [Task_Name] IN
	('Admin_ViewBuildMasterEvents', 'Applications_ViewOverview', 'Builds_ViewArtifact', 'Builds_ViewBuildHistory', 'Builds_ViewBuildOverview', 'Builds_ViewDebugLogs', 'Builds_ViewExecutionDetails', 'Builds_ViewPromotionDetails', 'ChangeControls_ViewChangeControls', 'ConfigurationFiles_ViewConfigurationFile', 'DatabaseChangeScripts_ViewChangeScript', 'DatabaseChangeScripts_ViewDatabaseProvider', 'Environments_ViewEnvironment', 'Environments_ViewServer', 'Plans_ViewPlan', 'Releases_ViewReleaseOverview', 'Events_ManageOwnNotifiers')

END