--AH:ScriptId=e845160e-4037-4a02-a831-40ce6a83e442;3068
CREATE TABLE [ReleaseTemplates]
(
    [ReleaseTemplate_Id] INT IDENTITY(1,1) NOT NULL,
    [Application_Id] INT NOT NULL,
    [ReleaseTemplate_Name] VARCHAR(50) NOT NULL,
    [ReleaseTemplate_Configuration] XML NOT NULL,

    CONSTRAINT [PK__ReleaseTemplates] PRIMARY KEY ([ReleaseTemplate_Id]),
    CONSTRAINT [FK__ReleaseTemplates__Applications] FOREIGN KEY ([Application_Id])
               REFERENCES [Applications] ([Application_Id])
               ON DELETE CASCADE,
    CONSTRAINT [UQ__ReleaseTemplates__ReleaseTemplate_Name] UNIQUE ([Application_Id], [ReleaseTemplate_Name]),
    CONSTRAINT [CK__ReleaseTemplates__ReleaseTemplate_Name] CHECK (LEN([ReleaseTemplate_Name]) > 0)
)

ALTER TABLE [Releases]
  ADD [ReleaseTemplate_Name] VARCHAR(50) NULL