--AH:ScriptId=a50b2d3f-499c-4db7-bfc2-ae6377cb711a;2775
CREATE INDEX [IX__BuildExecutions__ExecutionStatus_Name] ON [BuildExecutions]
(
	[ExecutionStatus_Name]
)
INCLUDE
(
	[Execution_Id],
	[Application_Id]
)

CREATE INDEX [IX__ConfigurationFileDeployments__ConfigurationFile_Id] ON [ConfigurationFileDeployments] 
(
	[ConfigurationFile_Id]
)
INCLUDE
(
	[ConfigurationFileDeployment_Id]
)

CREATE INDEX [IX__ConfigurationFileVersions__Application_Id__Release_Number] ON [ConfigurationFileVersions]
(
	[Application_Id],
	[Release_Number]
)

CREATE INDEX [IX__Builds__BuildStatus_Name] ON [Builds]
(
	[BuildStatus_Name]
)
INCLUDE
(
	[Application_Id],
	[Release_Number],
	[Build_Number]
)

CREATE INDEX [IX__EventOccurenceDetails__EventOccurence_Id] ON [EventOccurenceDetails]
(
	[EventOccurence_Id]
)

CREATE INDEX [IX__BuildPromotions__PromotionStatus_Name] ON [BuildPromotions]
(
	[PromotionStatus_Name]
)
INCLUDE
(
	[Application_Id],
	[Release_Number],
	[Build_Number],
	[Environment_Id]
)

CREATE INDEX [IX__BuildArtifacts__Execution_Id] ON [BuildArtifacts]
(
	[Execution_Id]
)