EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'DatabaseChangeScripts_GetChangeScript',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'DatabaseChangeScripts_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the specified database change script.'
GO


IF OBJECT_ID('[DatabaseChangeScripts_GetChangeScript]') IS NOT NULL DROP PROCEDURE [DatabaseChangeScripts_GetChangeScript]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [DatabaseChangeScripts_GetChangeScript]
(
	@Script_Id INT
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
      FROM [DatabaseChangeScripts_Extended]
     WHERE [Script_Id] = @Script_Id

END
GO

GRANT EXECUTE ON [DatabaseChangeScripts_GetChangeScript] TO [BuildMasterUser_Role]